#include <string.h>
#include <stdio.h>
#include "cookie.h"

void CookieSetL(CookieEntry *Cookie,long Name,long Value)
{
   Cookie->name.name_long = Name;
   Cookie->value = Value;
}

void CookieSetS(CookieEntry *Cookie,char *Name,long Value)
{
   memcpy(Cookie->name.name_array,Name,4);
   Cookie->value = Value;
}

void CookiePrint(CookieEntry *Cookie)
{
   printf("Name des Cookies: %d\n", Cookie->name.name_long);
   printf("Wert des Cookies: %d\n", Cookie->value);
}

void CookieInput(CookieEntry *Cookie)
{
}

int CookieIsNullCookie(CookieEntry *Cookie)
{
   return Cookie->name.name_long == NULL_COOKIE;
}

int CookieIsCookie(CookieEntry *Cookie,long Name)
{
   return Cookie->name.name_long == Name;
}

int CookieRead(CookieEntry *Cookie,FILE *stream)
{
   return 0;
}

int CookieWrite(CookieEntry *Cookie,FILE *stream)
{
   return 0;
}
